from flask_restful import Resource, reqparse
from flask import jsonify

class UserResource(Resource):
    def __init__(self):
        self.parser = reqparse.RequestParser()
        self.parser.add_argument('name', type=str, required=True, help='Name cannot be blank')
        self.parser.add_argument('email', type=str, required=True, help='Email cannot be blank')

    def get(self, user_id):
        # 模拟获取用户逻辑
        # 在实际应用中，你可能会从数据库中获取用户数据
        return jsonify({'user_id': user_id, 'name': 'John Doe', 'email': 'john@example.com'})

    def post(self):
        args = self.parser.parse_args()
        # 模拟创建用户逻辑
        # 在实际应用中，你可能会将用户数据插入数据库
        print(args);
        # return jsonify({'message': 'User created', 'user': args}), 201
        return jsonify({'message': 'User created', 'user': args})

    def put(self, user_id):
        args = self.parser.parse_args()
        # 模拟更新用户逻辑
        # 在实际应用中，你可能会更新数据库中的用户数据
        return jsonify({'message': 'User updated', 'user_id': user_id, 'user': args})

    def delete(self, user_id):
        # 模拟删除用户逻辑
        # 在实际应用中，你可能会从数据库中删除用户数据
        return jsonify({'message': 'User deleted', 'user_id': user_id})
